org.apache.solr.client.solrj.response

## Class DocumentAnalysisResponse.FieldAnalysis

- java.lang.Object
- - org.apache.solr.client.solrj.response.DocumentAnalysisResponse.FieldAnalysis

- Enclosing class:
    DocumentAnalysisResponse

      public static class DocumentAnalysisResponse.FieldAnalysis
      extends Object

  An analysis process breakdown for a specific field. Holds a list of query time analysis phases (that is, if a query analysis was requested in the first place) and a list of index time analysis phases for each field value (a field can be multi-valued).

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFieldName()` Returns the field name.
    `Iterable<AnalysisResponseBase.AnalysisPhase>` | `getIndexPhases(String fieldValue)` Returns the index time analysis phases for the given field value.
    `Iterable<Map.Entry<String,List<AnalysisResponseBase.AnalysisPhase>>>` | `getIndexPhasesByFieldValue()` Returns the index time analysis phases for all field values.
    `int` | `getIndexPhasesCount(String fieldValue)` Returns the number of index time analysis phases the given field value has.
    `Iterable<AnalysisResponseBase.AnalysisPhase>` | `getQueryPhases()` Returns the query time analysis phases for the field or `null` if this field doesn't hold a query time analysis.
    `int` | `getQueryPhasesCount()` Returns the number of query time analysis phases or `-1` if this field analysis doesn't hold a query time analysis.
    `int` | `getValueCount()` Returns the number of values the field has.
    `void` | `setIndexPhases(String fieldValue, List<AnalysisResponseBase.AnalysisPhase> indexPhases)`
    `void` | `setQueryPhases(List<AnalysisResponseBase.AnalysisPhase> queryPhases)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setQueryPhases

          public void setQueryPhases(List<AnalysisResponseBase.AnalysisPhase> queryPhases)

    - #### setIndexPhases

          public void setIndexPhases(String fieldValue,
                                     List<AnalysisResponseBase.AnalysisPhase> indexPhases)

    - #### getFieldName

          public String getFieldName()

      Returns the field name.
      Returns:
        The name of the field.

    - #### getQueryPhasesCount

          public int getQueryPhasesCount()

      Returns the number of query time analysis phases or `-1` if this field analysis doesn't hold a query time analysis.
      Returns:
        Returns the number of query time analysis phases or `-1` if this field analysis doesn't hold a query time analysis.

    - #### getQueryPhases

          public Iterable<AnalysisResponseBase.AnalysisPhase> getQueryPhases()

      Returns the query time analysis phases for the field or `null` if this field doesn't hold a query time analysis.
      Returns:
        Returns the query time analysis phases for the field or `null` if this field doesn't hold a query time analysis.

    - #### getValueCount

          public int getValueCount()

      Returns the number of values the field has.
      Returns:
        The number of values the field has.

    - #### getIndexPhasesCount

          public int getIndexPhasesCount(String fieldValue)

      Returns the number of index time analysis phases the given field value has.
      Parameters:
        `fieldValue` - The field value.
      Returns:
        The number of index time analysis phases the given field value has.

    - #### getIndexPhases

          public Iterable<AnalysisResponseBase.AnalysisPhase> getIndexPhases(String fieldValue)

      Returns the index time analysis phases for the given field value.
      Parameters:
        `fieldValue` - The field value.
      Returns:
        The index time analysis phases for the given field value.

    - #### getIndexPhasesByFieldValue

          public Iterable<Map.Entry<String,List<AnalysisResponseBase.AnalysisPhase>>> getIndexPhasesByFieldValue()

      Returns the index time analysis phases for all field values.
      Returns:
        Returns the index time analysis phases for all field value.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.